"use strict";
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var style_1 = require("./style");
var expo_font_1 = require("expo-font");
var UHCBadge_1 = __importDefault(require("./components/UHCBadge"));
var UHCButton = function (_a) {
    var text = _a.text, buttonType = _a.buttonType, disabled = _a.disabled, onPress = _a.onPress, badgeNumber = _a.badgeNumber;
    var loaded = expo_font_1.useFonts({
        "TitilliumWeb-Bold": require("../assets/fonts/TitilliumWeb-Bold.ttf")
    })[0];
    return (react_1.default.createElement(style_1.Button, { style: { width: "100%", height: 35 }, activeOpacity: 0.9, onPress: onPress, disabled: disabled },
        react_1.default.createElement(style_1.ButtonGradient, { style: { height: "100%" }, colors: __spreadArrays(style_1.getButtonBackground(disabled, buttonType)), start: { x: 0, y: 0 }, end: { x: 1, y: 0 } },
            react_1.default.createElement(style_1.ButtonInnerContainer, { disabled: disabled, buttonType: buttonType },
                react_1.default.createElement(style_1.UHCButtonText, { buttonType: buttonType, disabled: disabled }, text),
                !!badgeNumber && (react_1.default.createElement(UHCBadge_1.default, { disabled: disabled, buttonType: buttonType, badgeNumber: badgeNumber }))))));
};
UHCButton.defaultProps = {
    buttonType: "primary",
    disabled: false
};
exports.default = UHCButton;
