"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RoundButtonInnerContainer = exports.IconButtonInnerContainer = exports.ButtonInnerContainer = exports.UHCBadgeContainer = exports.UHCBadgeNumber = exports.ButtonGradient = exports.UHCButtonText = exports.getFontColor = exports.Button = exports.getButtonBackground = exports.getIconColor = void 0;
var native_1 = __importDefault(require("@emotion/native"));
var uhc_themes_1 = __importDefault(require("uhc-themes"));
var react_native_linear_gradient_1 = __importDefault(require("react-native-linear-gradient"));
var react_native_1 = require("react-native");
exports.getIconColor = function (disabled, buttonType) {
    if (disabled)
        return uhc_themes_1.default.color.white;
    switch (buttonType) {
        case "secondary":
        case "secondaryDanger":
            return uhc_themes_1.default.color.gray;
        default:
            return uhc_themes_1.default.color.white;
    }
};
exports.getButtonBackground = function (disabled, buttonType) {
    if (disabled) {
        return [uhc_themes_1.default.color.gray, uhc_themes_1.default.color.gray];
    }
    switch (buttonType) {
        case "primary":
            return [uhc_themes_1.default.color.primary, uhc_themes_1.default.color.secondary];
        case "secondary":
            return [uhc_themes_1.default.color.primary, uhc_themes_1.default.color.secondary];
        case "danger":
            return [uhc_themes_1.default.color.dangerPrimary, uhc_themes_1.default.color.dangerSecondary];
        case "secondaryDanger":
            return [uhc_themes_1.default.color.dangerPrimary, uhc_themes_1.default.color.dangerSecondary];
        default:
            return [uhc_themes_1.default.color.primary, uhc_themes_1.default.color.secondary];
    }
};
var buttonStyle = {
    alignSelf: "center",
    borderRadius: 50,
    height: 40,
    //width: 230,
    justifyContent: "center",
    alignItems: "center"
};
exports.Button = native_1.default.TouchableOpacity(buttonStyle);
var textStyle = __assign({ fontFamily: "TitilliumWeb-Bold", textAlign: "center", textAlignVertical: "center" }, react_native_1.Platform.select({
    ios: { fontSize: 20 },
    android: { fontSize: 18 }
}));
exports.getFontColor = function (disabled, buttonType) {
    if (disabled) {
        return "white";
    }
    switch (buttonType) {
        case "secondary":
        case "secondaryDanger":
            return "#999999";
        default:
            return "white";
    }
};
exports.UHCButtonText = native_1.default.Text(function (props) {
    return __assign(__assign({}, textStyle), { color: exports.getFontColor(props.disabled, props.buttonType) });
});
var gradientStyle = __assign({ height: "100%", width: "100%", justifyContent: "center", alignItems: "center", padding: 2, borderRadius: 50 }, react_native_1.Platform.select({
    ios: { minHeight: 45, maxHeight: 50 },
    android: { minHeight: 38, maxHeight: 43 }
}));
exports.ButtonGradient = native_1.default(react_native_linear_gradient_1.default)(gradientStyle);
var iconButtonContainer = {
    height: "100%",
    flexDirection: "row",
    alignItems: "center",
    justifyContent: "center",
    alignSelf: "stretch",
    borderRadius: 50
};
var UHCBadgeTextStyle = {
    fontFamily: "TitilliumWeb-Bold",
    textAlign: "center",
    textAlignVertical: "center"
};
var UHCBadgeContainerStyle = {
    justifyContent: "center",
    alignItems: "center",
    height: 27,
    minWidth: 27,
    marginLeft: 10,
    borderRadius: 50
};
var roundIconButtonContainer = {
    height: "100%",
    width: "100%",
    alignItems: "center",
    justifyContent: "center",
    borderRadius: 5000
};
var getInnerBackgroundColor = function (disabled, buttonType) {
    if (disabled) {
        return "transparent";
    }
    switch (buttonType) {
        case "primary":
            return "transparent";
        case "secondary":
            return "white";
        case "danger":
            return "transparent";
        case "secondaryDanger":
            return "white";
        default:
            return "transparent";
    }
};
var getBadgeBackgroundColor = function (disabled, buttonType) {
    if (disabled) {
        return "white";
    }
    switch (buttonType) {
        case "primary":
            return "white";
        case "secondary":
            return uhc_themes_1.default.color.tertiary;
        case "danger":
            return "white";
        case "secondaryDanger":
            return uhc_themes_1.default.color.dangerPrimary;
        default:
            return "transparent";
    }
};
var getBadgeTextColor = function (disabled, buttonType) {
    if (disabled) {
        return "#999999";
    }
    switch (buttonType) {
        case "primary":
            return "#999999";
        case "secondary":
            return "white";
        case "danger":
            return "#999999";
        case "secondaryDanger":
            return "white";
        default:
            return "transparent";
    }
};
exports.UHCBadgeNumber = native_1.default.Text(function (props) {
    var badgeFontSize = props.badgeNumber > 99 ? 14 : props.badgeNumber === 0 ? 0 : 16;
    return __assign(__assign({}, UHCBadgeTextStyle), { color: getBadgeTextColor(props.disabled, props.buttonType), fontSize: badgeFontSize });
});
exports.UHCBadgeContainer = native_1.default.View(function (props) {
    return __assign(__assign({}, UHCBadgeContainerStyle), { backgroundColor: getBadgeBackgroundColor(props.disabled, props.buttonType) });
});
exports.ButtonInnerContainer = native_1.default.View(function (props) {
    return __assign(__assign({}, iconButtonContainer), { backgroundColor: getInnerBackgroundColor(props.disabled, props.buttonType) });
});
exports.IconButtonInnerContainer = native_1.default.View(function (props) {
    return __assign(__assign({}, iconButtonContainer), { justifyContent: "space-evenly", backgroundColor: getInnerBackgroundColor(props.disabled, props.buttonType) });
});
exports.RoundButtonInnerContainer = native_1.default.View(function (props) {
    return __assign(__assign({}, roundIconButtonContainer), { backgroundColor: getInnerBackgroundColor(props.disabled, props.buttonType) });
});
