"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importStar(require("react"));
var react_native_1 = require("react-native");
var style_1 = require("./style");
var expo_font_1 = require("expo-font");
var datetimepicker_1 = __importDefault(require("@react-native-community/datetimepicker"));
var moment_1 = __importDefault(require("moment"));
var react_native_modal_datetime_picker_1 = __importDefault(require("react-native-modal-datetime-picker"));
var UHCDateInput = function (_a, ref) {
    var label = _a.label, mode = _a.mode, minDate = _a.minDate, maxDate = _a.maxDate, date = _a.date, language = _a.language, disabled = _a.disabled, onSubmitEditing = _a.onSubmitEditing, onDateChange = _a.onDateChange, setInputState = _a.setInputState, error = _a.error, showDate = _a.showDate;
    var loaded = expo_font_1.useFonts({
        "TitilliumWeb-SemiBold": require("../assets/fonts/TitilliumWeb-SemiBold.ttf"),
        "TitilliumWeb-Bold": require("../assets/fonts/TitilliumWeb-Bold.ttf")
    })[0];
    var _b = react_1.useState(false), show = _b[0], setShow = _b[1];
    var _c = react_1.useState(date), inputDate = _c[0], setInputDate = _c[1];
    react_1.useEffect(function () {
        setInputState ? setInputState(inputDate) : null;
    }, [inputDate]);
    return (react_1.default.createElement(react_native_1.View, { style: { width: "100%" } },
        react_1.default.createElement(style_1.InputLabel, null, label),
        react_1.default.createElement(style_1.ContainerGradient, { colors: __spreadArrays(style_1.getContainerColor(error, false)), start: { x: 0, y: 0 }, end: { x: 1, y: 0 } },
            react_1.default.createElement(style_1.InputContainer, { multiline: false },
                react_1.default.createElement(react_native_1.TouchableOpacity, { style: { width: "100%" }, activeOpacity: 1, onPress: function () {
                        if (!disabled) {
                            setShow(true);
                        }
                    } },
                    react_1.default.createElement(style_1.UHCDateInputText, null, inputDate &&
                        (function () {
                            if (mode === "date") {
                                return language === "es"
                                    ? moment_1.default(inputDate).format("DD/MM/YYYY")
                                    : moment_1.default(inputDate).format("MM/DD/YYYY");
                            }
                            else {
                                return moment_1.default(inputDate).format("HH:mm");
                            }
                        })()),
                    react_native_1.Platform.OS === "android" ? (show && (react_1.default.createElement(datetimepicker_1.default, { value: (function () {
                            if (mode === "time") {
                                return new Date(moment_1.default()
                                    .add(1, "minute")
                                    .format("MM/DD/YYYY HH:mm"));
                            }
                            else {
                                return date
                                    ? new Date(date)
                                    : new Date(moment_1.default().format("MM/DD/YYYY"));
                            }
                        })(), mode: mode, is24Hour: true, display: "spinner", locale: language, onChange: function (event, date) {
                            setShow(false);
                            if (date) {
                                setInputDate(moment_1.default(date).toISOString());
                            }
                        }, minimumDate: minDate ? new Date(minDate) : new Date("01/02/1900"), maximumDate: maxDate ? new Date(maxDate) : new Date("01/02/2100") }))) : (react_1.default.createElement(react_native_modal_datetime_picker_1.default, { isVisible: show, date: (function () {
                            if (mode === "time") {
                                return new Date(moment_1.default()
                                    .add(1, "minute")
                                    .format("MM/DD/YYYY HH:mm"));
                            }
                            else {
                                return date
                                    ? new Date(date)
                                    : new Date(moment_1.default().format("MM/DD/YYYY"));
                            }
                        })(), onConfirm: function (date) {
                            setShow(false);
                            if (date) {
                                setInputDate(moment_1.default(date).toISOString());
                            }
                        }, onCancel: function () { return setShow(false); }, mode: mode, is24Hour: true, display: "spinner", locale: language, minimumDate: minDate ? new Date(minDate) : new Date("01/02/1900"), maximumDate: maxDate ? new Date(maxDate) : new Date("01/02/2100") }))))),
        error && !!error.trim() ? (react_1.default.createElement(react_native_1.Text, { style: { color: "red", marginLeft: "14%" } }, error)) : null));
};
UHCDateInput.defaultProps = {
    mode: "date",
    disabled: false,
    language: "es"
};
exports.default = UHCDateInput;
