"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UHCInput = void 0;
var react_1 = __importStar(require("react"));
var react_native_1 = require("react-native");
var style_1 = require("./style");
var expo_font_1 = require("expo-font");
var UHCInputWithoutForward = function (_a, ref) {
    var label = _a.label, multiline = _a.multiline, labelWidth = _a.labelWidth, value = _a.value, disabled = _a.disabled, keyboardType = _a.keyboardType, secureTextEntry = _a.secureTextEntry, onSubmitEditing = _a.onSubmitEditing, setInputState = _a.setInputState, error = _a.error, autoCapitalize = _a.autoCapitalize, containerStyle = _a.containerStyle, textStyle = _a.textStyle;
    var loaded = expo_font_1.useFonts({
        "TitilliumWeb-SemiBold": require("../assets/fonts/TitilliumWeb-SemiBold.ttf"),
        "TitilliumWeb-Bold": require("../assets/fonts/TitilliumWeb-Bold.ttf")
    })[0];
    var _b = react_1.useState(false), isFocused = _b[0], setIsFocused = _b[1];
    var _c = react_1.useState(value ? value : ""), inputValue = _c[0], setInputValue = _c[1];
    var _d = react_1.useState(20), multilineHeight = _d[0], setMultilineHeight = _d[1];
    react_1.useEffect(function () {
        if (setInputState) {
            setInputState(inputValue);
        }
    }, [inputValue, value]);
    return (react_1.default.createElement(react_native_1.View, { style: [
            {
                width: "100%",
                height: multiline ? multilineHeight + 50 : 70
            },
            containerStyle ? containerStyle : {}
        ] },
        react_1.default.createElement(style_1.InputLabel, null, label),
        react_1.default.createElement(style_1.ContainerGradient, { multilineHeight: multiline ? multilineHeight + 21 : 38, multiline: multiline, colors: __spreadArrays(style_1.getContainerColor(error, isFocused)), start: { x: 0, y: 0 }, end: { x: 1, y: 0 } },
            react_1.default.createElement(style_1.InputContainer, { multiline: multiline, multilineHeight: multiline ? multilineHeight + 18 : 35, disabled: disabled },
                react_1.default.createElement(style_1.UHCTextInput, { multilineHeight: multiline ? multilineHeight + 18 : 35, multiline: multiline, editable: !disabled, disabled: disabled, ref: ref, maxLength: 255, value: inputValue ? inputValue : value, onChangeText: function (text) {
                        setInputValue(text);
                    }, keyboardType: keyboardType, autoCapitalize: autoCapitalize, blurOnSubmit: true, secureTextEntry: secureTextEntry, onSubmitEditing: onSubmitEditing, onFocus: function () { return setIsFocused(true); }, onBlur: function () { return setIsFocused(false); }, onContentSizeChange: function (event) {
                        setMultilineHeight(event.nativeEvent.contentSize.height);
                    }, style: textStyle ? textStyle : null }))),
        error && !!error.trim() ? (react_1.default.createElement(react_native_1.Text, { style: { color: "red", marginLeft: "14%" } }, error)) : null));
};
exports.UHCInput = react_1.default.forwardRef(UHCInputWithoutForward);
exports.UHCInput.defaultProps = {
    value: "",
    disabled: false,
    multiline: false,
    keyboardType: "default",
    secureTextEntry: false,
    labelWidth: "30%",
    autoCapitalize: "sentences"
};
exports.default = exports.UHCInput;
