"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UHCDateInputText = exports.ContainerGradient = exports.UHCTextInput = exports.InputLabel = exports.InputContainer = exports.getContainerColor = void 0;
var native_1 = __importDefault(require("@emotion/native"));
var uhc_themes_1 = __importDefault(require("uhc-themes"));
var react_native_1 = require("react-native");
var react_native_linear_gradient_1 = __importDefault(require("react-native-linear-gradient"));
exports.getContainerColor = function (error, isFocused) {
    if (error) {
        return ["red", "red"];
    }
    if (isFocused) {
        return [uhc_themes_1.default.color.primary, uhc_themes_1.default.color.secondary];
    }
    else {
        return [uhc_themes_1.default.color.gray, uhc_themes_1.default.color.gray];
    }
};
var inputContainerStyle = {
    width: "100%",
    alignItems: "center",
    justifyContent: "center",
    paddingVertical: "1%"
};
exports.InputContainer = native_1.default.View(function (props) {
    return [
        __assign(__assign({}, inputContainerStyle), { borderRadius: props.multiline ? 15 : 17, height: props.multilineHeight, backgroundColor: props.disabled ? "lightgray" : "white" })
    ];
});
var labelStyle = __assign({ fontFamily: "TitilliumWeb-Bold", textAlign: "left", color: uhc_themes_1.default.color.gray, marginHorizontal: 8 }, react_native_1.Platform.select({
    ios: { fontSize: 15 },
    android: { fontSize: 15 }
}));
exports.InputLabel = native_1.default.Text(function (props) {
    return [
        props.style ? props.style : {},
        __assign(__assign({}, labelStyle), { borderRadius: props.multiline ? 15 : 17 })
    ];
});
var textStyle = __assign({ fontFamily: "TitilliumWeb-SemiBold", textAlign: "left", textAlignVertical: "center", color: uhc_themes_1.default.color.gray, justifyContent: "center", borderRadius: 17, paddingVertical: 0, paddingLeft: 8, width: "98%" }, react_native_1.Platform.select({
    ios: { fontSize: 20 },
    android: { fontSize: 19 }
}));
exports.UHCTextInput = native_1.default.TextInput(function (props) {
    return [
        __assign(__assign({}, textStyle), { borderRadius: props.multiline ? 15 : 17, height: props.multilineHeight, backgroundColor: props.disabled ? "lightgray" : "white" })
    ];
});
exports.ContainerGradient = native_1.default(react_native_linear_gradient_1.default)(function (props) {
    return {
        width: "100%",
        justifyContent: "center",
        alignItems: "center",
        marginVertical: 6,
        padding: 2,
        borderRadius: props.multiline ? 15 : 17,
        height: props.multilineHeight
    };
});
exports.UHCDateInputText = native_1.default.Text(function (props) {
    return [
        {
            fontFamily: "TitilliumWeb-Bold",
            textAlign: "left",
            minHeight: 30,
            textAlignVertical: "center",
            fontSize: 18,
            color: "#999999",
            paddingLeft: 10
        }
    ];
});
