"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RadioButtonSelected = exports.RadioButtonContainer = exports.getContainerColor = void 0;
var native_1 = __importDefault(require("@emotion/native"));
var uhc_themes_1 = __importDefault(require("uhc-themes"));
exports.getContainerColor = function (isSelected, containerColorSelected, containerColorUnselected) {
    if (isSelected) {
        return !!containerColorSelected
            ? containerColorSelected
            : uhc_themes_1.default.color.tertiary;
    }
    else {
        return !!containerColorUnselected
            ? containerColorUnselected
            : uhc_themes_1.default.color.gray;
    }
};
var radioButtonContainer = {
    height: 24,
    width: 24,
    borderRadius: 12,
    borderWidth: 2,
    alignItems: "center",
    justifyContent: "center"
};
exports.RadioButtonContainer = native_1.default.View(function (props) {
    return __assign(__assign({}, radioButtonContainer), { borderColor: props.containerColor });
});
var radioButtonSelected = {
    height: 12,
    width: 12,
    borderRadius: 6
};
exports.RadioButtonSelected = native_1.default.View(function (props) {
    return __assign(__assign({}, radioButtonSelected), { backgroundColor: props.selectedColor });
});
